Name:		pix
Version:	2.8.9
Release:	1%{?dist}
Summary:	Image management application

License:	GPLv2+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	gnome-common
BuildRequires:	flex
BuildRequires:	intltool
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(json-glib-1.0)
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:	pkgconfig(libbrasero-burn3)
%else
%ifnarch ppc64
BuildRequires:	pkgconfig(libbrasero-burn3)
%endif
%endif
%if 0%{?fedora} >= 26 || 0%{?rhel} >= 8
BuildRequires:	pkgconfig(libopenraw-0.1)
%else  # 0%%{?fedora} >= 26 || 0%{?rhel} >= 8
BuildRequires:	pkgconfig(libopenraw-1.0)
%endif # 0%%{?fedora} >= 26 || 0%{?rhel} >= 8
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libsoup-gnome-2.4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(zlib)

Requires:	dcraw

%description
Pix is an image browser, viewer, organizer and editor.
It features some advanced tools, too:

   * Import images from a digital camera.
   * Slide Shows.
   * Set an image as Desktop background.
   * Create index image.
   * Rename images in series.
   * Convert image format.
   * Change images date and time.
   * JPEG lossless transformations.
   * Find duplicated images.


%package devel
Summary:	Development files for %{name}

Requires:	%{name}%{?_isa}	== %{version}-%{release}

%description devel
This package contains the development files for %{name}.


%package doc
Summary:	Documentation files for %{name}

%description doc
This package contains the documentation files for %{name}.


%prep
%autosetup -p 1
%{__sed} -i -e 's!AC_CHECK_LIB(m, floor,!#&!g' configure.ac
%if 0%{?fedora} >= 26 || 0%{?rhel} >= 8
%{__sed} -i -e 's!libopenraw-1.0!libopenraw-0.1!g' configure.ac
%endif # 0%%{?fedora} >= 26 || 0%{?rhel} >= 8
NOCONFIGURE=1 %{_bindir}/gnome-autogen.sh


%build
%configure								\
	--disable-silent-rules						\
	--disable-static						\
	--disable-libchamplain						\
	--enable-clutter						\
	--enable-exiv2							\
	--enable-gstreamer						\
	--enable-jpeg							\
%if 0%{?fedora} || 0%{?rhel} >= 8
	--enable-libbrasero						\
%else
%ifnarch ppc64
	--enable-libbrasero						\
%endif
%endif
	--enable-libjson-glib						\
	--enable-libopenraw						\
	--enable-librsvg						\
	--enable-libsecret						\
	--enable-libsoup						\
	--enable-libwebp						\
	--enable-test-suite						\
	--enable-tiff							\
	--enable-webkit2						\
	--with-smclient=xsmp
%make_build


%install
%make_install

%{_bindir}/find %{buildroot}%{_libdir} -name '*.a' -type f -delete
%{_bindir}/find %{buildroot}%{_libdir} -name '*.la' -type f -delete

%{_bindir}/find %{buildroot}%{_datadir}/icons/hicolor -type f -print |	\
	%{__sed} -e 's!^%{buildroot}!!g' > %{name}.icons
%find_lang %{name}


%check
%{__make} check
%{_bindir}/desktop-file-validate %{_datadir}/applications/*.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%if (0%{?rhel} && 0%{?rhel <= 7})
%postun
if [ $1 -eq 0 ] ; then
	%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%else  # (0%%{?rhel} && 0%%{?rhel <= 7})
%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%endif # (0%%{?rhel} && 0%%{?rhel <= 7})


%files -f %{name}.icons -f %{name}.lang
%doc ChangeLog* NEWS README.md
%license AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*


%files devel
%{_datadir}/aclocal/%{name}.m4
%{_includedir}/%{name}*
%{_libdir}/pkgconfig/%{name}*.pc


%files doc
%doc %{_datadir}/doc/%{name}*
%doc %{_datadir}/help
%license %{_datadir}/licenses/%{name}*


%changelog
* Thu Dec 29 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 2.8.9-1
- new version

* Mon Jul 16 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.8.2-1
- Update to 1.8.2 release
- Add BuildRequires gcc-c++

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun May 06 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-1
- Update to 1.8.0 release

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.1-3
- No libbrasero on EPEL7 ppc64

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.1-2
- Enable sm-client and verbose build

* Sat Nov 04 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.6.1-1
- Update to 1.6.1 release

* Fri Sep 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.5-2
- Adjustments for EPEL

* Sun Aug 20 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.5-1
- New upstream release (rhbz#1455178)
- Drop filtering from private libdir to avoid pulling in gthumb

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 24 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.2-1
- New upstream release (rhbz#1455178)

* Sat May 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-3
- Use proper libopenraw on all releases

* Sat May 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-2
- Conditionalize BR: libopenraw

* Sat May 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-1
- Initial import (rhbz#1450482)

* Fri May 12 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-0.2
- Remove libtool dumplings

* Tue May 09 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-0.1
- Initial rpm-release (rhbz#1450482)
